Subject: Re: [PATCH v3] push: Enhance unspecified push default warning

From: Junio C Hamano <[email-masked]>
Date: Wed, 06 Nov 2013 12:10:50 -0800

Junio C Hamano <[email-masked]> writes:

> Matthieu Moy <[email-masked]> writes:
>
>> I don't remember all the discussions on the patch which introduced
>> the warning, but I don't think it's relevant to digg them before applying the patch:
>
> If we apply the patch then it is too late to dig them ;-)
>
>> * The assumption was that users would read the docs, but as I already mentioned:
>>   "Judging by the question asked on stackoverflow
>>   ( http://stackoverflow.com/questions/13148066/warning-push-default-is-unset-its-implicit-value-is-changing-in-git-2-0 )
>>   and its popularity, telling the users to read the docs did not work very
>>   well."
>
> That is true, but does it justify giving a misleading information in
> the advice message?

Also applying this will have an unpleasant fallout to merging the
endgame patch b2ed944a (push: switch default from "matching" to
"simple", 2013-01-04).  The added text needs to be corrected with an
evil merge.

I'd prefer to having worry about such a fallout only once.  Which
arguably we already did when we came up with the current message, so
I am fairly annoyed by this patch coming loooooong after we
concluded the original discussion.

Sigh X-<.  I'll worry about this later, as b2ed944a is in 'next'
during the feature freeze, and I'd prefer not having to rebase it on
top of the final version of this patch.